Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common.wfapp
Class WFAppConstants

    java.lang.Object
      com.fujitsu.iflow.common.wfapp.WFAppConstants

public class WFAppConstants
extends java.lang.Object

WFAppConstants encapsulates all the constants for workflow application packaging and installation.

Field Summary
`static java.lang.String` | `ACTION_AGENT` The value for a action agent component type.
`static int` | `ARCHIVE_BUFFER`
`static char` | `ARCHIVE_FILE_SEPARATOR` Specifies the used file separator.
`static java.lang.String` | `ARCHIVED_MANIFEST_FILE`
`static int` | `CHECK_COMMAND_TYPE`
`static java.lang.String` | `CLIENT_ROOT_PATTERN` Represents the virtual value of the client root path.
`static java.lang.String` | `CONFIG_FILE` The value for a config file component type.
`static int` | `EXPORT_COMMAND_TYPE`
`static java.lang.String` | `FORM` The value for a form component type.
`static java.lang.String` | `IBPM_DMS_FIRST_ROOT_PATTERN`
`static java.lang.String` | `IBPM_DMS_ROOT_PATTERN`
`static java.lang.String` | `IBPM_PORTAL_ROOT_PATTERN` Represents the virtual value of the IBPM portal root path.
`static java.lang.String` | `IBPM_SERVER_ROOT_PATTERN` Represents the virtual value of the IBPM server root path.
`static java.lang.String` | `IBPM_TEMPLATE_ROOT_PATTERN`
`static java.lang.String` | `IBPM_WWW_ROOT_PATTERN` Represents the virtual value of the WebServer root path.
`static java.lang.String` | `IBPM_WWW_URL_PATTERN` Represents the virtual value of the url of the IBPM server.
`static int` | `IMPORT_COMMAND_TYPE`
`static java.lang.String` | `JAVA_ACTION` The value for a java action component type.
`static java.lang.String` | `MANIFEST_FILE`
`static java.lang.String` | `MANIFEST_ROOT_PATTERN`
`static java.lang.String` | `MANIFEST_VERSION` Represents the initial version of a manifest.
`static java.lang.String` | `OTHER` The value for any not explicitely defined component type.
`static int` | `OVERWRITE_OPERATION` Represents the value, which must be set for `operation` for a `WFAppComponent`, if existing files should be overwritten.
`static java.lang.String` | `PACKAGE_FOLDER`
`static int` | `PROBE_COMMAND_TYPE`
`static java.lang.String` | `ROOT_PATTERN`
`static java.lang.String` | `SERVER_ROOT_PATTERN`
`static int` | `SKIP_OPERATION` Represents the value, which must be set for `operation` for a `WFAppComponent`, if existing files should be skipped.

Constructor Summary
`WFAppConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SKIP_OPERATION

    public static int SKIP_OPERATION

  Represents the value, which must be set for `operation` for a `WFAppComponent`, if existing files should be skipped.

### OVERWRITE_OPERATION

    public static int OVERWRITE_OPERATION

  Represents the value, which must be set for `operation` for a `WFAppComponent`, if existing files should be overwritten.

### PROBE_COMMAND_TYPE

    public static int PROBE_COMMAND_TYPE

### CHECK_COMMAND_TYPE

    public static int CHECK_COMMAND_TYPE

### IMPORT_COMMAND_TYPE

    public static int IMPORT_COMMAND_TYPE

### EXPORT_COMMAND_TYPE

    public static int EXPORT_COMMAND_TYPE

### PACKAGE_FOLDER

    public static java.lang.String PACKAGE_FOLDER

### FORM

    public static java.lang.String FORM

  The value for a form component type.

### JAVA_ACTION

    public static java.lang.String JAVA_ACTION

  The value for a java action component type.

### ACTION_AGENT

    public static java.lang.String ACTION_AGENT

  The value for a action agent component type.

### CONFIG_FILE

    public static java.lang.String CONFIG_FILE

  The value for a config file component type.

### OTHER

    public static java.lang.String OTHER

  The value for any not explicitely defined component type.

### ARCHIVE_FILE_SEPARATOR

    public static char ARCHIVE_FILE_SEPARATOR

  Specifies the used file separator.

### ARCHIVE_BUFFER

    public static int ARCHIVE_BUFFER

### MANIFEST_VERSION

    public static java.lang.String MANIFEST_VERSION

  Represents the initial version of a manifest.

### MANIFEST_FILE

    public static java.lang.String MANIFEST_FILE

### MANIFEST_ROOT_PATTERN

    public static java.lang.String MANIFEST_ROOT_PATTERN

### ARCHIVED_MANIFEST_FILE

    public static java.lang.String ARCHIVED_MANIFEST_FILE

### ROOT_PATTERN

    public static java.lang.String ROOT_PATTERN

### SERVER_ROOT_PATTERN

    public static java.lang.String SERVER_ROOT_PATTERN

### CLIENT_ROOT_PATTERN

    public static java.lang.String CLIENT_ROOT_PATTERN

  Represents the virtual value of the client root path.

### IBPM_SERVER_ROOT_PATTERN

    public static java.lang.String IBPM_SERVER_ROOT_PATTERN

  Represents the virtual value of the IBPM server root path.

### IBPM_WWW_ROOT_PATTERN

    public static java.lang.String IBPM_WWW_ROOT_PATTERN

  Represents the virtual value of the WebServer root path.

### IBPM_DMS_ROOT_PATTERN

    public static java.lang.String IBPM_DMS_ROOT_PATTERN

### IBPM_DMS_FIRST_ROOT_PATTERN

    public static java.lang.String IBPM_DMS_FIRST_ROOT_PATTERN

### IBPM_PORTAL_ROOT_PATTERN

    public static java.lang.String IBPM_PORTAL_ROOT_PATTERN

  Represents the virtual value of the IBPM portal root path.

### IBPM_WWW_URL_PATTERN

    public static java.lang.String IBPM_WWW_URL_PATTERN

  Represents the virtual value of the url of the IBPM server.

### IBPM_TEMPLATE_ROOT_PATTERN

    public static java.lang.String IBPM_TEMPLATE_ROOT_PATTERN

Constructor Detail

### WFAppConstants

    public WFAppConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD